/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import "../css/general_styling.scss";
.Login {
  display: flex;
  width: 100vw;
  height: 100vh;

  .LogoSide {
    display: flex;
    align-items: center;
    width: 30%;
    background: $theme-color-1;
    justify-content: center;

    img {
      width: 250px;
    }
  }
  .FormSide {
    width: 70%;
    background: $white;
    justify-content: center;
    text-align: center;
    padding-top: 5em;
  }
  h1 {
    @include primary-text($h1, $primary-color, 500);
    text-transform: uppercase;
  }
  h2 {
    @include primary-text($h2, $grey, 400);
    text-transform: uppercase;
  }
  .ant-btn.Alternative, .ant-btn.Alternative:active, .ant-btn.Alternative:focus, .ant-btn.Alternative:hover {
    border:none;
  }
  .ant-btn {
    margin: 0 auto;
    margin-top: 1em;
  }
}

@media screen and (max-width: 770px) {
  .Login {
    .LogoSide {
      img {
        width: 200px;
      }
    }

    .FormSide {
      .login-form {
        width: 70%;
      }
    }
  }
}

@media screen and (max-width: 450px) {
  .Login {
    flex-flow: column;

    .LogoSide {
      width: 100%;
      height: 25vh;
    }

    .FormSide {
      width: 100%;
    }
  }
}
